
#include "MovingPlayer.h"

/**
 * Aktueller Stand
 *
 *   $RCSfile: MovingPlayer.cc,v $
 *   $Revision: 1.11 $
 *   $Date: 1998/08/14 13:20:59 $
 *   $Author: myritz $ 
 *
 */

MovingPlayer::MovingPlayer() : MovingObject(), theFaceDir( UNDEF_DOUBLE )
{
}

MovingPlayer::MovingPlayer( int id, const Vector& aPos, const Vector& aSpeed,
  double aFaceDir ) 
  : MovingObject( id, aPos, aSpeed ), theFaceDir( aFaceDir )
{
}


StorableObject* MovingPlayer::copy() const {
  return new MovingPlayer( *this );
}


String MovingPlayer::toString() const 
{
  String output;

  output = String( "( ID: " ) + String( id() ) + 
    String( ", position: " ) + pos().toString() + 
    String( ", speed: " ) + speed().toString() +
    String( ", faceDir: " ) + String( degFromRadiant(faceDir()) ) +
    String( " )" );
  return output;
}



